# Visualization
TKV3d
Graphic3d

# Graphic3d_Array1OfVertexNC Class Reference

`#include <Graphic3d_Array1OfVertexNC.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_Array1OfVertexNC (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Graphic3d_Array1OfVertexNC (const Graphic3d_VertexNC &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Graphic3d_VertexNC &V)
Standard_EXPORT void | Destroy ()
| ~Graphic3d_Array1OfVertexNC ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Graphic3d_Array1OfVertexNC & | Assign (const Graphic3d_Array1OfVertexNC &Other)
const Graphic3d_Array1OfVertexNC & | operator= (const Graphic3d_Array1OfVertexNC &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Graphic3d_VertexNC &Value)
const Graphic3d_VertexNC & | Value (const Standard_Integer Index) const
const Graphic3d_VertexNC & | operator() (const Standard_Integer Index) const
Graphic3d_VertexNC & | ChangeValue (const Standard_Integer Index)
Graphic3d_VertexNC & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Graphic3d_Array1OfVertexNC (const Graphic3d_Array1OfVertexNC &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Array1OfVertexNC::Graphic3d_Array1OfVertexNC | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Graphic3d_Array1OfVertexNC::Graphic3d_Array1OfVertexNC | ( | const Graphic3d_VertexNC & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Graphic3d_Array1OfVertexNC::~Graphic3d_Array1OfVertexNC | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_Array1OfVertexNC::Graphic3d_Array1OfVertexNC | ( | const Graphic3d_Array1OfVertexNC & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Graphic3d_Array1OfVertexNC& Graphic3d_Array1OfVertexNC::Assign | ( | const Graphic3d_Array1OfVertexNC & | Other | ) |

Graphic3d_VertexNC& Graphic3d_Array1OfVertexNC::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Graphic3d_Array1OfVertexNC::Destroy | ( |  | ) |

Standard_EXPORT void Graphic3d_Array1OfVertexNC::Init | ( | const Graphic3d_VertexNC & | V | ) |

Standard_Boolean Graphic3d_Array1OfVertexNC::IsAllocated | ( |  | ) | const

Standard_Integer Graphic3d_Array1OfVertexNC::Length | ( |  | ) | const

Standard_Integer Graphic3d_Array1OfVertexNC::Lower | ( |  | ) | const

void Graphic3d_Array1OfVertexNC::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_Array1OfVertexNC::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_Array1OfVertexNC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Graphic3d_VertexNC& Graphic3d_Array1OfVertexNC::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Graphic3d_VertexNC& Graphic3d_Array1OfVertexNC::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Graphic3d_Array1OfVertexNC& Graphic3d_Array1OfVertexNC::operator= | ( | const Graphic3d_Array1OfVertexNC & | Other | ) | `[inline]`

void Graphic3d_Array1OfVertexNC::SetValue | ( | const Standard_Integer | Index,
|  | const Graphic3d_VertexNC & | Value
| ) |

Standard_Integer Graphic3d_Array1OfVertexNC::Upper | ( |  | ) | const

const Graphic3d_VertexNC& Graphic3d_Array1OfVertexNC::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Graphic3d_Array1OfVertexNC::isAllocated `[private]`

Standard_Integer Graphic3d_Array1OfVertexNC::myLowerBound `[private]`

Standard_Address Graphic3d_Array1OfVertexNC::myStart `[private]`

Standard_Integer Graphic3d_Array1OfVertexNC::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Array1OfVertexNC.hxx